Bug 1638223 - Capsule scenario should enable REX by default
Summary: Capsule scenario should enable REX by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-11 07:21 UTC by Lukas Pramuk
Modified: 2019-10-07 17:18 UTC (History)
1 user (show)

Fixed In Version: satellite-installer-6.5.0.3-1.beta
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:19 UTC

Description Lukas Pramuk 2018-10-11 07:21:44 UTC
Description of problem:
Capsule scenario should enable REX by default since it already enables Ansible by default (see BZ 1599995) and Ansible requires REX enabled

Workaround is to enable REX manually:
# satellite-installer -S capsule --enable-foreman-proxy-plugin-remote-execution-ssh


Version-Release number of selected component (if applicable):
6.4.0

How reproducible:
100%

Steps to Reproduce:
1. Have a standalone capsule installed
2. Check Active features list

Actual results:
Ansible is enabled while SSH is not

Expected results:
both (or none) features are enabled

Comment 5 Lukas Pramuk 2018-12-01 12:36:18 UTC
VERIFIED.

@satellite-capsule-6.5.0-5.beta.el7sat.noarch
satellite-installer-6.5.0.3-1.beta.el7sat.noarch

by the following manual reproducer:

1. Have a standalone capsule installed (just default capsule scenario)
2. Check Active features list

# hammer capsule info --name capsule.example.com
Id:         2
Name:       capsule.example.com
URL:        https://capsule.example.com:9090
Features:   
    Templates
    Pulp Node
    TFTP
    Puppet
    Puppet CA
    Logs
    Dynflow
    SSH               <- FIXED 
    Ansible
Created at: 2018/11/29 20:50:49
Updated at: 2018/11/29 20:50:50

>>> SSH feature (=REX) is now enabled by default as Ansible depends on it and is also enabled by default

Comment 7 errata-xmlrpc 2019-05-14 12:38:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.